Bug 499004 - keyboard mapping of win/alt fails after a variable length of time with usage
keyboard mapping of win/alt fails after a variable length of time with usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 15:01 EDT by Brian Smith
Modified: 2009-12-18 04:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.39 KB, text/plain)
2009-05-19 13:49 EDT, Brian Smith
no flags Details
Xorg.0.log (222.64 KB, text/plain)
2009-05-19 13:50 EDT, Brian Smith
no flags Details
Xorg.1.log (46.13 KB, text/plain)
2009-05-19 13:50 EDT, Brian Smith
no flags Details

  None (edit)
Description Brian Smith 2009-05-04 15:01:45 EDT
Description of problem: I map my control key to win/alt using the GUI and it works fine initially. I've been doing it for two months and it never works longer than 2 days, usually it fails about once a day. I haven't found a set period of time or set application that causes it, I'm puzzled. If I don't use my computer for a few days it still works when I come back, but after using it for several hours it will stop working again.


Version-Release number of selected component (if applicable):xkeyboard-config-1.4-7.fc10.noarch


How reproducible: I'm using an apple keyboard but I don't think this is related.


Steps to Reproduce:
1. Using gnome menu, go to System-> Preferences -> Hardware -> Keyboard 
2. Layouts -> Select a layout (I'm using an Apple Keyboard so I've selected Apple). 
3. Click "Layout Options..." Then Select "Alt/Win key Behavior" and change default to "Control is mapped to the Win-keys"
4. Close
5. run "xmodmap -pke | grep 133"
it will return: keycode 133 = Control_L NoSymbol Control_L NoSymbol Control_L
6. Now use your machine for a while, at some point during the next several hours, the win key will stop functioning as the control key.
7. run "xmodmap -pke | grep 133" again, results will now be:
keycode 133 = Super_L NoSymbol Super_L NoSymbol Super_L
8. Now reopen the GUI, it will show Alt/Win is still mapped to control (but its not).
9. I'm able to solve this by change it back to default, closing and reopening, then changing behavior of win/alt again. I would like to be able to permanently set this.
Comment 1 Matěj Cepl 2009-05-16 11:52:38 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Brian Smith 2009-05-19 13:49:17 EDT
Created attachment 344657 [details]
xorg.conf
Comment 3 Brian Smith 2009-05-19 13:50:17 EDT
Created attachment 344658 [details]
Xorg.0.log
Comment 4 Brian Smith 2009-05-19 13:50:50 EDT
Created attachment 344659 [details]
Xorg.1.log
Comment 5 Normand Robert 2009-06-24 14:52:57 EDT
On a newly installed F10 system yum updated today. I can not use xmodmap (as I did in Fedora 8) so that the Win key allows me to do various accent for writing in foreign languages using a standard US keyboard. I have no xorg.conf file. If this behaviour is unrelated to this bug I can open a separate bug. Is there new functionality to replace xmodmap for this purpose? I really need a way to do accents otherwise I have to go back to Fedora 8.
Comment 6 Peter Hutterer 2009-06-24 19:16:57 EDT
Normand: please file a separate bug, attaching your xorg.log and your xmodmaprc and a slightly more detailed description of what's not working. xmodmap still works in F-10 and F-11 AFAICT.
Comment 7 Bug Zapper 2009-11-18 06:54:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:23:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.